GamebeastDocs
Dashboard
Server APIMarkers

List marker properties

GET
/application/{applicationId}/analytics/v1/markers/properties

Lists marker properties that have been sent to the platform for specific marker types

Authorization

AuthorizationBearer <token>

Secret server key (prefixed gb_sk_) for server-to-server calls. Send it as Authorization: Bearer <key>. Never ship a secret key in a game client.

In: header

Path Parameters

applicationId*number

Gamebeast project ID

Query Parameters

markers?array<string>

The markers to fetch attributes for

type?string

The data type of attributes to fetch

Value in

  • "string"
  • "number"
  • "boolean"
  • "date"
  • "string[]"
  • "number[]"
  • "boolean[]"
  • "date[]"

Header Parameters

environment_id*number

Gamebeast environment ID

Response Body

application/json

curl -X GET "https://example.com/application/0/analytics/v1/markers/properties" \  -H "environment_id: 0"
[  {    "name": "string",    "type": "property",    "dataType": "string",    "experimentFilterSupport": {      "perUser": true,      "perServer": true    }  }]